from ecdsa import SigningKey
# import secrets

import random

def pseudoRandomGenerator(seed) :
    random.seed(seed)
    return random.getrandbits(256)

def genratePublicPrivateKey():
    sk = SigningKey.generate()  # uses NIST192p
    vk = sk.get_verifying_key()
    signature = sk.sign(b"message")
    assert vk.verify(signature, b"message")
    return (sk,vk)

    pass



if __name__ == '__main__':
    # keypair = genratePublicPrivateKey()
    # keypair2 = genratePublicPrivateKey()
    # print(keypair)
    # print(keypair2)
    print(pseudoRandomGenerator("abc"))
    print(pseudoRandomGenerator("abc"))
